JBoss API: Interface Log4jServiceMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging
Interface Log4jServiceMBean

All Known Implementing Classes:
  Log4jService

public interface Log4jServiceMBean

Management interface for log4j

Version:
  $Revision: 1.1 $
Author:
  Fulco Muriglio, Scott_Stark@displayscape.com

Field Summary
`static java.lang.String` | `OBJECT_NAME` The default name of the service

Method Summary
`java.lang.String` | `getConfigurationPath()` Get the log4j.properties format config file path
`boolean` | `getRefreshFlag()` Get the refresh flag.
`void` | `setConfigurationPath(java.lang.String path)` Set the log4j.properties format config file path
`void` | `setRefreshFlag(boolean flag)` Set the refresh flag.
`void` | `start()` Configures the log4j framework using the current service properties and sets the service category to the log4j root Category.
`void` | `stop()` Stops the log4j framework by calling the Category.shutdown() method.

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

  The default name of the service

Method Detail

### getConfigurationPath

    public java.lang.String getConfigurationPath()

  Get the log4j.properties format config file path

### setConfigurationPath

    public void setConfigurationPath(java.lang.String path)

  Set the log4j.properties format config file path

### getRefreshFlag

    public boolean getRefreshFlag()

  Get the refresh flag. This determines if the log4j.properties file is reloaded every refreshPeriod seconds or not.

### setRefreshFlag

    public void setRefreshFlag(boolean flag)

  Set the refresh flag. This determines if the log4j.properties file is reloaded every refreshPeriod seconds or not.

### start

    public void start()
               throws java.lang.Exception

  Configures the log4j framework using the current service properties and sets the service category to the log4j root Category.

### stop

    public void stop()

  Stops the log4j framework by calling the Category.shutdown() method.
  See Also:
    `Category.shutdown()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.